#include <bits/stdc++.h>
using namespace std;
vector<int> solve(vector<int> a) {
    int n = a.size();
    vector<int> ans(n - 1);
    iota(ans.begin(), ans.end(), 0);
    ans.insert(ans.begin() + (n - 1) / 2, n - 1);
    return ans;
}